%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

Summary:        MRG management web console
Name:           cumin
Version:        0.1.3037
Release:        2%{?dist}
License:        GPL
Group:          System Environment/Libraries
URL:            http://redhat.com/mrg
Source0:        %{name}-%{version}.tar.gz
Patch0:         job-nav.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch

BuildRequires:  python >= 2.4
BuildRequires:  python-devel >= 2.4

Requires:       python >= 2.4
Requires:	postgresql >= 8.1.9
Requires:	postgresql-server >= 8.1.9
Requires:	python-sqlobject >= 0.9.2
Requires:	python-psycopg2 >= 2.0.6
Requires:       python-qpid >= 0.3.722953
Requires:       dejavu-lgc-fonts
Requires:       pycairo >= 1.2.0

%description
Cumin is the MRG management web console.  It provides a unified
management interface for the Messaging, Realtime and Grid components
of MRG.

%prep
%setup -q
%patch0

%build
# None

%install
rm -rf %{buildroot}

export PREFIX=%{buildroot}%{_prefix}
export PYTHON_LIB_DIR=%{buildroot}%{python_sitelib}
export ETC_DIR=%{buildroot}%{_sysconfdir}
export VAR_DIR=%{buildroot}%{_localstatedir}

(cd parsley && make install)
(cd mint && make install)
(cd wooly && make install)
(cd cumin && make install)

mv %{buildroot}%{_defaultdocdir}/mint %{buildroot}%{_defaultdocdir}/mint-%{version}
mv %{buildroot}%{_defaultdocdir}/wooly %{buildroot}%{_defaultdocdir}/wooly-%{version}
mv %{buildroot}%{_defaultdocdir}/cumin %{buildroot}%{_defaultdocdir}/cumin-%{version}

mkdir -p %{buildroot}%{_sysconfdir}/rc.d/init.d
mv %{buildroot}%{_sysconfdir}/cumin/sysvinit-cumin %{buildroot}%{_sysconfdir}/rc.d/init.d/cumin
chmod 755 %{buildroot}%{_sysconfdir}/rc.d/init.d/cumin

%pre
getent group cumin > /dev/null || groupadd -r cumin

if getent passwd cumin > /dev/null; then
   usermod -s /sbin/nologin cumin
else
   useradd -r -g cumin -d %{_localstatedir}/lib/cumin -s /sbin/nologin \
      -c "Owner of Cumin daemons" cumin
fi

exit 0

%post
cumin-instance-init system
chown -R cumin:cumin %{_localstatedir}/lib/cumin %{_localstatedir}/log/cumin

%clean
rm -rf %{buildroot}

%files
%defattr(-,cumin,cumin,-)
%{_docdir}/cumin-%{version}
%{_docdir}/mint-%{version}
%{_docdir}/wooly-%{version}
%{_bindir}/cumin
%{_bindir}/cumin-test
%{_bindir}/cumin-bench
%{_bindir}/mint-test
%{_bindir}/mint-bench
%{_bindir}/mint-server
%{_sysconfdir}/cumin
%{_datadir}/cumin
%{_datadir}/mint
%{_datadir}/wooly
%{python_sitelib}/cumin
%{python_sitelib}/mint
%{python_sitelib}/wooly
%{python_sitelib}/parsley
%{_localstatedir}/log/cumin
%{_bindir}/cumin-admin
%{_bindir}/cumin-instance-init
%{_bindir}/cumin-database-init
%{_bindir}/cumin-database-destroy
%{_bindir}/cumin-load-demo-data
%defattr(-,root,root,-)
%{_sysconfdir}/rc.d/init.d/cumin

%changelog
* Fri Jan 21 2009 Justin Ross <jross@redhat.com> - 0.1.3037-2
- Add patch for broken job navigation

* Fri Jan  9 2009 Justin Ross <jross@redhat.com> - 0.1.3037-1
- Update to revision 3037

* Sun Dec 21 2008 Justin Ross <jross@redhat.com> - 0.1.3030-1
- Update to revision 3030

* Wed Dec 17 2008 Justin Ross <jross@redhat.com> - 0.1.3021-1
- In the post script, chown cumin log files so upgrades don't break
- Update to revision 3021

* Mon Dec 15 2008 Justin Ross <jross@redhat.com> - 0.1.3002-1
- Update to revision 3002

* Fri Dec 12 2008 Justin Ross <jross@redhat.com> - 0.1.2997-1
- Update to revision 2997

* Thu Dec 11 2008 Justin Ross <jross@redhat.com> - 0.1.2986-1
- Add missing dependency on pycairo
- Update to revision 2986

* Wed Dec 10 2008 Justin Ross <jross@redhat.com> - 0.1.2968-1
- Update to revision 2968
- Alter the user and group add logic to be compatible with scriptlets
  run under bash -e

* Wed Dec  9 2008 Justin Ross <jross@redhat.com> - 0.1.2952-1
- Update to revision 2952
- Add wooly to the set of installed projects

* Wed Nov  5 2008 Justin Ross <jross@redhat.com> - 0.1.2751-1
- Fix the usermod for older installs, and update to revision 2751

* Fri Oct 24 2008 Justin Ross <jross@redhat.com> - 0.1.2690-1
- Add a dep for dejavu-lgc-fonts, required for the charts

* Mon Jul 14 2008 Justin Ross <jross@redhat.com> - 0.1.2181-2
- Modify an existing cumin user's shell to /sbin/nologin

* Mon Jul  8 2008 Justin Ross <jross@redhat.com> - 0.1.2181-1
- Update to revision 2181
- Use /sbin/nologin for the cumin user's shell

* Mon Jun 16 2008 Justin Ross <jross@redhat.com> - 0.1.2155-1
- Update to revision 2155

* Fri Jun 10 2008 Justin Ross <jross@redhat.com> - 0.1.2149-1
- Update to revision 2149

* Fri Jun  9 2008 Justin Ross <jross@redhat.com> - 0.1.2144-1
- Update to revision 2144

* Fri Jun  6 2008 Justin Ross <jross@redhat.com> - 0.1.2141-1
- Update to revision 2141 for rc1
- Fix the license in the spec header

* Fri May 16 2008 Justin Ross <jross@redhat.com> - 0.1.2061-1
- Update to revision 2061 for beta 4

* Fri May 15 2008 Justin Ross <jross@redhat.com> - 0.1.2046-1
- Update to revision 2046 for beta 4

* Fri May 06 2008 Justin Ross <jross@redhat.com> - 0.1.2001-1
- Make cumin user owner of all binaries except sysvinit script

* Fri Apr 25 2008 Justin Ross <jross@redhat.com> - 0.1.1984-2
- Properly set permissions and ownership of the sysvinit script

* Fri Apr 25 2008 Justin Ross <jross@redhat.com> - 0.1.1984-1
- Use new make targets
- Change the version number to include the upstream svn revision
- Use system instance setup tools

* Mon Mar 31 2008 Nuno Santos <nsantos@redhat.com> - 0.1-6
- Create cumin user/group

* Mon Feb 11 2008 Nuno Santos <nsantos@redhat.com> - 0.1-5
- Fix for multiple broker registrations

* Mon Feb 11 2008 Rafael Schloming <rafaels@redhat.com> - 0.1-4
- Bumped for Beta 3 update

* Fri Jan 25 2008 Nuno Santos <nsantos@redhat.com> - 0.1-3
- Workaround to fix charts issue

* Thu Jan 24 2008 Nuno Santos <nsantos@redhat.com> - 0.1-2
- Fix data url in /etc/cumin.conf; work around query divide-by-zero issues
- Add dependency on postgresql-server

* Fri Jan 18 2008 Nuno Santos <nsantos@redhat.com> - 0.1-1
- Initial build.
